aboutsummaryrefslogtreecommitdiff
path: root/dev/libs/cyrus-sasl
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-05 23:23:21 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-05 23:23:21 +0000
commite79f5510e82ab22138416a6af3e53798cec40b1a (patch)
tree7017073586f582cb6dd4704d3272030cfd12484b /dev/libs/cyrus-sasl
parent690bfb6921adc239b3780c350946bb656a4c9638 (diff)
downloadslackbuilds-e79f5510e82ab22138416a6af3e53798cec40b1a.tar.gz
slackbuilds-e79f5510e82ab22138416a6af3e53798cec40b1a.tar.bz2
updated postfix, openldap and cyrus-sasl
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@889 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/libs/cyrus-sasl')
-rwxr-xr-xdev/libs/cyrus-sasl/cyrus-sasl.SlackBuild44
1 files changed, 28 insertions, 16 deletions
diff --git a/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild b/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild
index 9953f61f..56eef388 100755
--- a/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild
+++ b/dev/libs/cyrus-sasl/cyrus-sasl.SlackBuild
@@ -11,6 +11,18 @@
# small changes by rhatto
#
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building cyrus-sasl are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
CWD="`pwd`"
if [ -f ~/.slackbuildrc ]; then
@@ -20,13 +32,19 @@ elif [ -f /etc/slackbuildrc ]; then
fi
PACKAGE="cyrus-sasl"
-VERSION=${VERSION:=2.1.21}
+VERSION=${VERSION:=2.1.22}
ARCH=${ARCH:=i486}
BUILD=${BUILD:=1rha}
TMP=${TMP:=/tmp}
SRC_DIR=${SRC:=$CWD}
REPOS=${REPOS:=$TMP}
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
if [ "$ARCH" == "x86_64" ]; then
LIBDIR=/usr/lib64
else
@@ -44,25 +62,19 @@ if [ ! -d $TMP ]; then
mkdir -p $TMP # location to build the source
fi
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
SRC_DIR="$SRC_DIR/$PACKAGE"
mkdir -p $SRC_DIR
if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
- wget "$URL.sig" -O "$SRC_DIR/$SRC.sig"
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET
fi
if [ ! -f "$SRC_DIR/$PACKAGE-key.asc" ]; then
- wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc
+ wget "$KEY" -O "$SRC_DIR/$PACKAGE-key.asc" && gpg --import $SRC_DIR/$PACKAGE-key.asc || exit $ERROR_WGET
fi
-gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || echo WARNING: Could not check signature or WRONG signature found.
+gpg --verify $SRC_DIR/$SRC.sig $SRC_DIR/$SRC || exit $ERROR_GPG
sleep 3
if [ "$ARCH" = "i386" ]; then
@@ -87,7 +99,7 @@ echo "| cyrus-sasl-$VERSION |"
echo "+=====================+"
cd $TMP
rm -rf cyrus-sasl-$VERSION
-tar xvf$tarflag $SRC_DIR/cyrus-sasl-$VERSION.tar.gz
+tar xvf $SRC_DIR/cyrus-sasl-$VERSION.tar.gz || exit $ERROR_TAR
cd cyrus-sasl-$VERSION
chown -R root.root .
find . -perm 777 -exec chmod 755 {} \;
@@ -102,9 +114,9 @@ CXXFLAGS="$SLKCFLAGS" \
#./configure --enable-login --enable-plain --enable-anon --enable-digest --with-static-sasl --with-bdb-libdir=/usr/lib \
# --with-bdb-incdir=/usr/include/db4 --prefix=/usr --sysconfdir=/etc --localstatedir=/var/lib --enable-ldap \
# --with-ldap=/usr/libexec/openldap --with-authdaemond=/usr/sbin/authdaemond
-./configure --prefix=/usr --sysconfdir=/etc --with-authdaemond=/usr/sbin/authdaemond --libdir=$LIBDIR
-make || exit 32
-make install DESTDIR=$PKG
+./configure --prefix=/usr --sysconfdir=/etc --with-authdaemond=/usr/sbin/authdaemond --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make install DESTDIR=$PKG || exit $ERROR_INSTALL
strip $PKG/usr/sbin/*
chown -R root.bin $PKG/usr/bin
chown -R root.bin $PKG/usr/sbin
@@ -135,7 +147,7 @@ cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-makepkg -l y -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+makepkg -l y -c n $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP